Skip to main content
aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorCamille Letavernier2013-11-14 17:12:11 +0000
committerCamille Letavernier2013-11-14 17:12:11 +0000
commitd9f2769aa48122165a1ee76f3cc60bb37037a9fc (patch)
tree806e880b4b17bd10d4eb58dcf1c9e9b64738f80b /plugins
parentb8c1531a3146e1eb3e7c0b02bfb8084b43567749 (diff)
downloadorg.eclipse.papyrus-d9f2769aa48122165a1ee76f3cc60bb37037a9fc.tar.gz
org.eclipse.papyrus-d9f2769aa48122165a1ee76f3cc60bb37037a9fc.tar.xz
org.eclipse.papyrus-d9f2769aa48122165a1ee76f3cc60bb37037a9fc.zip
421392: [Model Explorer] Link with Editor does not work properly
https://bugs.eclipse.org/bugs/show_bug.cgi?id=421392 Remove all dependencies to com.google.inject
Diffstat (limited to 'plugins')
-rw-r--r--plugins/uml/nattable/org.eclipse.papyrus.uml.nattable.xtext.integration/META-INF/MANIFEST.MF2
-rw-r--r--plugins/uml/textedit/org.eclipse.papyrus.uml.textedit.constraintwithessentialocl.xtext/META-INF/MANIFEST.MF7
-rw-r--r--plugins/views/modelexplorer/org.eclipse.papyrus.views.modelexplorer/META-INF/MANIFEST.MF1
3 files changed, 2 insertions, 8 deletions
diff --git a/plugins/uml/nattable/org.eclipse.papyrus.uml.nattable.xtext.integration/META-INF/MANIFEST.MF b/plugins/uml/nattable/org.eclipse.papyrus.uml.nattable.xtext.integration/META-INF/MANIFEST.MF
index 0acdc16db31..33abd8773f6 100644
--- a/plugins/uml/nattable/org.eclipse.papyrus.uml.nattable.xtext.integration/META-INF/MANIFEST.MF
+++ b/plugins/uml/nattable/org.eclipse.papyrus.uml.nattable.xtext.integration/META-INF/MANIFEST.MF
@@ -7,8 +7,6 @@ Require-Bundle: org.eclipse.ui,
org.eclipse.papyrus.infra.nattable;bundle-version="1.0.0",
org.eclipse.papyrus.infra.nattable.model;bundle-version="1.0.0",
org.eclipse.papyrus.uml.xtext.integration.ui;bundle-version="1.0.0",
- org.eclipse.emf.mwe.core,
- com.google.inject,
org.eclipse.xtext;bundle-version="2.4.2",
org.eclipse.nebula.widgets.nattable.core;bundle-version="1.0.0",
org.eclipse.gmf.runtime.common.core,
diff --git a/plugins/uml/textedit/org.eclipse.papyrus.uml.textedit.constraintwithessentialocl.xtext/META-INF/MANIFEST.MF b/plugins/uml/textedit/org.eclipse.papyrus.uml.textedit.constraintwithessentialocl.xtext/META-INF/MANIFEST.MF
index b3df5683f8a..c42c8ff73bb 100644
--- a/plugins/uml/textedit/org.eclipse.papyrus.uml.textedit.constraintwithessentialocl.xtext/META-INF/MANIFEST.MF
+++ b/plugins/uml/textedit/org.eclipse.papyrus.uml.textedit.constraintwithessentialocl.xtext/META-INF/MANIFEST.MF
@@ -3,17 +3,14 @@ Require-Bundle: org.eclipse.ui,
org.eclipse.core.runtime,
org.eclipse.papyrus.extensionpoints.editors;bundle-version="1.0.0",
org.eclipse.papyrus.infra.gmfdiag.xtext.glue;bundle-version="1.0.0",
- com.google.inject;bundle-version="2.0.0",
org.eclipse.uml2.uml;bundle-version="3.2.0",
org.eclipse.ocl.examples.xtext.essentialocl.ui;bundle-version="3.1.0",
- org.eclipse.gef;bundle-version="3.7.0",
- org.eclipse.gmf.runtime.diagram.ui;bundle-version="1.5.0",
org.eclipse.papyrus.infra.core;bundle-version="1.0.0",
- org.eclipse.core.expressions,
org.eclipse.ocl.examples.xtext.console;bundle-version="3.2.0",
org.eclipse.papyrus.infra.core.log;bundle-version="1.0.0",
org.eclipse.papyrus.infra.gmfdiag.commands;bundle-version="1.0.0",
- org.eclipse.papyrus.infra.emf;bundle-version="1.0.0"
+ org.eclipse.papyrus.infra.emf;bundle-version="1.0.0",
+ org.eclipse.gmf.runtime.diagram.ui;bundle-version="1.7.0"
Bundle-Vendor: %providerName
Bundle-ActivationPolicy: lazy
Bundle-Version: 1.0.0.qualifier
diff --git a/plugins/views/modelexplorer/org.eclipse.papyrus.views.modelexplorer/META-INF/MANIFEST.MF b/plugins/views/modelexplorer/org.eclipse.papyrus.views.modelexplorer/META-INF/MANIFEST.MF
index 0bf39a3e0fe..7e7817dcf78 100644
--- a/plugins/views/modelexplorer/org.eclipse.papyrus.views.modelexplorer/META-INF/MANIFEST.MF
+++ b/plugins/views/modelexplorer/org.eclipse.papyrus.views.modelexplorer/META-INF/MANIFEST.MF
@@ -51,7 +51,6 @@ Require-Bundle: org.eclipse.ui,
org.eclipse.emf.ecore,
org.eclipse.papyrus.infra.services.navigation;bundle-version="1.0.0",
org.eclipse.papyrus.infra.tools;bundle-version="1.0.0",
- com.google.inject;bundle-version="3.0.0",
org.eclipse.papyrus.extensionpoints.editors;bundle-version="1.0.0"
Bundle-Vendor: %providerName
Bundle-ActivationPolicy: lazy

Back to the top